---
title: "Release v0.9.6"
linkTitle: "Release v0.9.6"
date: 2021-02-22
description: >
  Release v0.9.6
---

## Changelog since v0.9.5

### Notable Changes
* Fix displaying env and piped information at the application detail ([#1604](https://github.com/pipe-cd/pipecd/pull/1604))
* Users can update tags for Lambda application via function.yaml configuration. ([#1596](https://github.com/pipe-cd/pipecd/pull/1596))
* Show promote percentage on the stage ([#1560](https://github.com/pipe-cd/pipecd/pull/1560))
* Show confirm dialog when quit adding application if the user already filled some fields ([#1550](https://github.com/pipe-cd/pipecd/pull/1550))
* Be able to configure Lambda application specs such as timeout, memory size, and environment variables. ([#1548](https://github.com/pipe-cd/pipecd/pull/1548))
* Support DynamoDB as PipeCD control-plane datastore ([#1521](https://github.com/pipe-cd/pipecd/pull/1521))
* Support authenticate with SecurityTokenService for Lambda application deployment ([#1516](https://github.com/pipe-cd/pipecd/pull/1516))
* Improve the display of the sealed secrets that have long length ([#1505](https://github.com/pipe-cd/pipecd/pull/1505))
* The full ID of piped is shown and a new button was added to copy the ID ([#1499](https://github.com/pipe-cd/pipecd/pull/1499))
* User can config s3 as file storage for pipecd ([#1485](https://github.com/pipe-cd/pipecd/pull/1485))

### Internal Changes
* Add log entries to Ops to show running tasks ([#1607](https://github.com/pipe-cd/pipecd/pull/1607))
* Rollback Lambda application configuration in case traffic change has not been committed ([#1605](https://github.com/pipe-cd/pipecd/pull/1605))
* Add missing environments value config on newly create lambda app ([#1601](https://github.com/pipe-cd/pipecd/pull/1601))
* Support authenticate with SecurityTokenService for S3 client ([#1517](https://github.com/pipe-cd/pipecd/pull/1517))
* Update firestore index ensurer to use configured CollectionNamePrefix ([#1602](https://github.com/pipe-cd/pipecd/pull/1602))
* Enable cache for the web test on CI ([#1603](https://github.com/pipe-cd/pipecd/pull/1603))
* Fix nil error by shadowing outer error variable ([#1597](https://github.com/pipe-cd/pipecd/pull/1597))
* The full ID of piped will be shown while hovering over the name ([#1488](https://github.com/pipe-cd/pipecd/pull/1488))
* Refactor API mock data ([#1594](https://github.com/pipe-cd/pipecd/pull/1594))
* Use general invitation link to CNCF slack ([#1592](https://github.com/pipe-cd/pipecd/pull/1592))
* Fix skeleton being displayed during update app live state ([#1484](https://github.com/pipe-cd/pipecd/pull/1484))
* Fix the user document ([#1588](https://github.com/pipe-cd/pipecd/pull/1588))
* Remove note to tell being Alpha status ([#1589](https://github.com/pipe-cd/pipecd/pull/1589))
* Add pipeline mock data for the web ([#1586](https://github.com/pipe-cd/pipecd/pull/1586))
* Add missing return statement on failed to build query ([#1585](https://github.com/pipe-cd/pipecd/pull/1585))
* Allow prefixing the collection name in google cloud Firestore ([#1579](https://github.com/pipe-cd/pipecd/pull/1579))
* Add notes on Firestore indexes ([#1577](https://github.com/pipe-cd/pipecd/pull/1577))
* Add mocking api for easy UI development ([#1565](https://github.com/pipe-cd/pipecd/pull/1565))
* Skip creating Firestore indexes if already added ([#1566](https://github.com/pipe-cd/pipecd/pull/1566))
* Fix typo ([#1480](https://github.com/pipe-cd/pipecd/pull/1480))
* Add ECS deployment to feature status page ([#1572](https://github.com/pipe-cd/pipecd/pull/1572))
* Create applicationscountstore ([#1561](https://github.com/pipe-cd/pipecd/pull/1561))
* Add workflow to automatically add issue to the ROADMAP project ([#1567](https://github.com/pipe-cd/pipecd/pull/1567))
* Fix GetinsightData to use new field ([#1562](https://github.com/pipe-cd/pipecd/pull/1562))
* Add note about needed service account roles ([#1563](https://github.com/pipe-cd/pipecd/pull/1563))
* Let Ops automatically create Firestore composite indexes ([#1553](https://github.com/pipe-cd/pipecd/pull/1553))
* Use pipecd-base as a base image of pipecd ([#1556](https://github.com/pipe-cd/pipecd/pull/1556))
* Add pipecd-base image ([#1554](https://github.com/pipe-cd/pipecd/pull/1554))
* Store promote percentage to stage metadata store ([#1551](https://github.com/pipe-cd/pipecd/pull/1551))
* Update lambda deployment docs ([#1552](https://github.com/pipe-cd/pipecd/pull/1552))
* Enable add tags to Lambda application via function.yaml ([#1549](https://github.com/pipe-cd/pipecd/pull/1549))
* Specify test size to avoid warnings from bazel ([#1547](https://github.com/pipe-cd/pipecd/pull/1547))
* Fix missing model_wrappers for mongodb ([#1546](https://github.com/pipe-cd/pipecd/pull/1546))
*  Export component props interface from component file for storybook ([#1540](https://github.com/pipe-cd/pipecd/pull/1540))
* Fixed the type of set-files for helm in the document ([#1542](https://github.com/pipe-cd/pipecd/pull/1542))
* Update storybook configs ([#1539](https://github.com/pipe-cd/pipecd/pull/1539))
* Refactor insight package by splitting it into smaller ones ([#1519](https://github.com/pipe-cd/pipecd/pull/1519))
* Update the links to issue labels ([#1537](https://github.com/pipe-cd/pipecd/pull/1537))
* Bump goccy/go-yaml from v1.8.7 to v1.8.8 ([#1536](https://github.com/pipe-cd/pipecd/pull/1536))
* Add doc to guide how to enable blue-green deployment with istio ([#1535](https://github.com/pipe-cd/pipecd/pull/1535))
* Refactor web components directory structure ([#1533](https://github.com/pipe-cd/pipecd/pull/1533))
* Use goccy/go-yaml.Read instead of parsing ourselves ([#1534](https://github.com/pipe-cd/pipecd/pull/1534))
* Update api version of istio's manifests to v1beta1 ([#1532](https://github.com/pipe-cd/pipecd/pull/1532))
* Add doc to guide how to enable canary deployment for k8s app with istio ([#1528](https://github.com/pipe-cd/pipecd/pull/1528))
* Validate value in YAML before actual reading ([#1529](https://github.com/pipe-cd/pipecd/pull/1529))
* Fix the deployment status was not changed from "deploying" after finished in some cases ([#1522](https://github.com/pipe-cd/pipecd/pull/1522))
* Fix wrong stage name in Lambda doc ([#1523](https://github.com/pipe-cd/pipecd/pull/1523))
* Make modifying logic of Event watcher abstract ([#1520](https://github.com/pipe-cd/pipecd/pull/1520))
* Update protobuf definitions for insights rpc ([#1444](https://github.com/pipe-cd/pipecd/pull/1444))
* Fix typo ([#1518](https://github.com/pipe-cd/pipecd/pull/1518))
* Update scaffdog version to v1 ([#1512](https://github.com/pipe-cd/pipecd/pull/1512))
* Remove setTimeout from closing menu and dialog ([#1514](https://github.com/pipe-cd/pipecd/pull/1514))
* Refactor generated api key dialog ([#1513](https://github.com/pipe-cd/pipecd/pull/1513))
* Update the status of Kubernetes' Live State to beta ([#1510](https://github.com/pipe-cd/pipecd/pull/1510))
* Emit warning when Event not found ([#1508](https://github.com/pipe-cd/pipecd/pull/1508))
* Fix copyright years in the footer of documentation site ([#1507](https://github.com/pipe-cd/pipecd/pull/1507))
* Add mono font to the theme ([#1506](https://github.com/pipe-cd/pipecd/pull/1506))
* Fix the diffs on Istio's VirtualService always appear after deploying ([#1504](https://github.com/pipe-cd/pipecd/pull/1504))
* Use pipectl-base 0.2.0 to build pipectl image ([#1503](https://github.com/pipe-cd/pipecd/pull/1503))
* Add pipectl to PATH for pipetcl-base image ([#1502](https://github.com/pipe-cd/pipecd/pull/1502))
* Remove useCredentialsFile field from FireStore struct ([#1501](https://github.com/pipe-cd/pipecd/pull/1501))
* Fix export types ([#1500](https://github.com/pipe-cd/pipecd/pull/1500))
* Add web tests ([#1498](https://github.com/pipe-cd/pipecd/pull/1498))
* Fix schema mistake in the document of SealedSecret ([#1496](https://github.com/pipe-cd/pipecd/pull/1496))
* Fix error text when loading manifest ([#1495](https://github.com/pipe-cd/pipecd/pull/1495))
* Refactor error handling for rc.Close in GetObject function GCS storage ([#1493](https://github.com/pipe-cd/pipecd/pull/1493))
* Change directory structure for web components ([#1494](https://github.com/pipe-cd/pipecd/pull/1494))
* Use pipectl-base as a base image of pipectl ([#1490](https://github.com/pipe-cd/pipecd/pull/1490))
* Add piped-base image ([#1489](https://github.com/pipe-cd/pipecd/pull/1489))
* Reduce the number of retries on API call while starting ([#1487](https://github.com/pipe-cd/pipecd/pull/1487))
* Use alpine as a pipectl base image ([#1486](https://github.com/pipe-cd/pipecd/pull/1486))
* Refactor the way of using model in web ([#1483](https://github.com/pipe-cd/pipecd/pull/1483))
* Remove useCredentialsFile flag field from GCS new client implementation ([#1482](https://github.com/pipe-cd/pipecd/pull/1482))
* Update chart-releaser to fix cache-control when storing index file ([#1481](https://github.com/pipe-cd/pipecd/pull/1481))
* Update pipectl installation instructions ([#1479](https://github.com/pipe-cd/pipecd/pull/1479))
* Add a util function for web testing ([#1472](https://github.com/pipe-cd/pipecd/pull/1472))
